<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <title>Getting Started Service Web Content</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
</head>
<body>
<div th:replace="nav.html :: body"></div>
<div class="container">
    <h1 align="center">Paste your code from email</h1>

    <form action="#" th:action="@{/create-new-user-authentication}" th:object="${userDTO}" method="post">
        <div class="form-group">
            <label for="AuthenticationCode">Authentication Code From Mail :</label>
            <td><input type="text" class="form-control" id="AuthenticationCode"
                       th:field="${userDTO.authenticationCodeInput}"/></td>
            <td th:if="${#fields.hasErrors('authenticationCodeInput')}" th:errors="${userDTO.authenticationCodeInput}">
                authenticationCodeInput error</td>

            <td><input type="hidden" class="form-control" th:field="${userDTO.authenticationCode}"/></td>
            <td><input type="hidden" class="form-control" th:field="${userDTO.login}"/></td>
        </div>
        <button type="submit" class="btn btn-primary" style="margin-bottom: 10px">Submit</button>
    </form>
</div>
</body>
</html>